import { type Writable } from "svelte/store";
export interface IDialog {
    title: string;
    content: string;
    confirmLabel?: string;
    denyLabel?: string;
    onConfirm?: () => Promise<void>;
    onDeny?: () => Promise<void>;
}
export declare const dialogs: Writable<{
    fire: (obj: IDialog) => void;
    active?: IDialog;
}>;
