import { type Writable } from "svelte/store";
import type { Analytics } from "@firebase/analytics";
import type { FirebaseApp } from "@firebase/app";
import type { Auth } from "@firebase/auth";
import type { Firestore } from "@firebase/firestore";
import type { FirebaseStorage } from "@firebase/storage";
export declare const firebase: Writable<{
    app?: FirebaseApp;
    analytics?: Analytics;
    firestore?: Firestore;
    auth?: Auth;
    storage?: FirebaseStorage;
    toDate?: (timestamp: any) => Date | undefined;
    uploadFile?: (data: any, path: string) => Promise<String>;
    getFileURL?: (path: string) => Promise<String>;
    deleteFile?: (path?: string, refer?: any) => Promise<void>;
    listFiles?: (path: string) => Promise<any[]>;
}>;
