import { SvelteComponentTyped } from "svelte";
import type { ISchema } from "./ISchema";
import "./widget.scss";
declare const __propDef: {
    props: {
        schema: ISchema;
        id: string;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {
            settings: any;
        };
    };
};
export type WidgetProps = typeof __propDef.props;
export type WidgetEvents = typeof __propDef.events;
export type WidgetSlots = typeof __propDef.slots;
export default class Widget extends SvelteComponentTyped<WidgetProps, WidgetEvents, WidgetSlots> {
}
export {};
